Closed Bug 505203 Opened 11 years ago Closed 10 years ago

Update Linux boxes to include wireless tools installation (at least)

Categories

(Mozilla Messaging :: Server Operations, defect, P1, critical)

All
Linux
defect

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: standard8, Assigned: gozer)

References

Details

With the checkin of bug 503597 our Linux boxes started to burn. This is because we don't have the wireless developer tools installed.

Looking at the centos setup page:

https://wiki.mozilla.org/ReferencePlatforms/Linux-CentOS-5.0

We need version 16 & 19 actions, but possibly we need to update more there anyway.
From bug 505204 comment 1:

> version 19 isn't needed, scratchbox is only for mobile builds, we exclude that
> intentionally as we don't do mobile.
wireless-tools-devel version 28-2.el5 will shortly install itself on all our Linux refplatforms. This will result in the following files being installed:

/usr/include/iwlib.h
/usr/include/wireless.h
/usr/lib/libiw.so
Looks like the presence of iwlib.h is cached by configure, so these builders will need clobbering before they realize that header is present.

For now, I've clobbered the "Linux comm-central check" boxes.
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → FIXED
ec2-linux-01 needs this for the try server when doing trunk builds.
Status: RESOLVED → REOPENED
Priority: -- → P1
Resolution: FIXED → ---
done.
Status: REOPENED → RESOLVED
Closed: 11 years ago10 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.